List the co-tenants and other occupants on a lease
GET
/api/leases/{leaseId}/occupants
const url = 'https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/occupants?includeRemoved=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/occupants?includeRemoved=true' \ --header 'Authorization: Bearer <token>'Includes people who have moved out or been released from liability. People removed as entered by mistake are left out unless includeRemoved is true.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”leaseId
required
string format: uuid
Query Parameters
Section titled “Query Parameters”includeRemoved
string
Include people removed as entered by mistake.
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
occupants
required
Array<object>
object
fullName
required
string
id
required
string format: uuid
isPrimary
required
boolean
moveInDate
required
string format: date
moveOutDate
required
string format: date
notes
required
string
providerRole
required
string
relationship
required
string
releasedOn
required
string format: date
removedAt
required
string format: date-time
role
required
string
tenantId
required
string format: uuid
tenantName
required
string
Example
{ "occupants": [ { "role": "co_tenant" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}